- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\FFProbe\OptionsTester

class OptionsTester implements OptionsTesterInterface

## Methods

| __construct(FFProbeDriver $ffprobe, Cache $cache) |
Boolean | has(string $name) Tells if the given option is supported by ffprobe. |

## Details

###
at line 26
`public __construct(FFProbeDriver $ffprobe, Cache $cache)`

#### Parameters

FFProbeDriver | $ffprobe |
Cache | $cache |

###
at line 35
`public Boolean has(string $name)`

Tells if the given option is supported by ffprobe.

#### Parameters

string | $name |

#### Return Value

Boolean |